Bug 1476911 - Dovecot pigeonhole sieve scripts can't run sa-learn
Dovecot pigeonhole sieve scripts can't run sa-learn
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dovecot (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Hlavinka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-31 15:19 EDT by Ed Marshall
Modified: 2018-05-29 07:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 07:53:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ed Marshall 2017-07-31 15:19:11 EDT
Following along with Dovecot upstream's description of how to integrate SpamAssassin and Dovecot for automatic training when moving messages in and out of a spam folder:

https://wiki.dovecot.org/HowTo/AntispamWithSieve

I created a sieve script that pipes messages to a shell script which, after determining the dbpath to use, tries to invoke /usr/bin/sa-learn. Which fails with an AVC when selinux is enforcing:

Jul 31 19:05:24 mx.sfo2.do.logic.net audit[15931]: AVC avc:  denied  { getattr } for  pid=15931 comm="sa-learn.sh" path="/usr/bin/sa-learn" dev="vda1" ino=7175 scontext=system_u:system_r:dovecot_t:s0 tcontext=system_u:object_r:spamc_exec_t:s0 tclass=file permissive=0

The problem is, sieve can execute bin_t scripts just fine (in fact, that's all it can run), but SpamAssassin is special in that it has it's own exec_t types.

I'm not sure what the right fix here is (probably a one-off exception to the dovecot policy for spamc_exec_t? are there any other magic exec types that should be included as well?), or if there even should be a fix, but this seems like a reasonable enough use-case that I figured it was worth opening a ticket for.
Comment 1 Fedora End Of Life 2018-05-03 04:29:21 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2018-05-29 07:53:39 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.